#!/usr/bin/env python3

from configutils import *

SERIAL = '/dev/ttyUSB0'
BAUD_RATE = 4800
STOP_BITS = 1
PARITY = None

DATA_FILE = './test.rrd'
ARCHIVE_DATA_FILE = './test_archive.rrd'
DATA_INTERVAL = 60
ARCHIVE_INTERVAL = 60 * 60 # 1h
ARCHIVE_KEEP_INTERVAL = 365 * 24 * 60 * 60 # 1 year
MAX_MISSING = 0.5

# Manual claims poly should be 0x8404, internet says xmodem
CRC_TYPE = 'xmodem'


STORED_VALUES = [
     StoredValue('U_bat', 0.0, 20.0),
     StoredValue('U_mod1', 0.0, 20.0),
     StoredValue('U_mod2', 0.0, 20.0),
     StoredValue('I_pv_in', 0.0, 100.0),
     StoredValue('I_load_total', 0.0, 100.0),
     StoredValue('load_switch', 0, 1),
     StoredValue('max_charge_bat_day', 0.0, 1000.0),
     StoredValue('max_charge_load_day', 0.0, 1000.0),
]

GRAPHS = {
        'voltages.png' : [
                GraphLine('U_bat', 'Spannung Batterie [V]', '#ff0000'),
                GraphLine('U_mod1',  'Spannung Modul 1 [V]', '#00ff00'),
                GraphLine('U_mod2', 'Spannung Modul 2 [V]', '#0000ff'),
                ],
        'currents.png' : [
                GraphLine('I_pv_in', 'Strom PV [A]', '#ff0000'),
                GraphLine('I_load_total', 'Strom Last [A]', '#00ff00'),
                ],
        'realy.png' : [
                GraphLine('load_switch', 'Relay', '#0000ff'),
            ],
        'charges.png' : [
                GraphLine('max_charge_bat_day', 'Max. Batterie Landung [Ah]', '#0000ff'),
                GraphLine('max_charge_load_day', 'Max. Last Entladung [Ah]', '#ff0000'),
                ]
        }

FORMAT = ['Version',
          'Date',
          'Time',
          'U_bat',
          'U_mod1',
          'U_mod2',
          'SOC',
          'SOH',
          'I_bat_total',
          'I_pv_max1',
          'I_pv_max2',
          'I_pv_in',
          'I_charge_total',
          'I_load_device',
          'I_load_total',
          'T_bat',
          'error',
          'charge_mode',
          'load_switch',
          'relais_aux1',
          'relais_aux2',
          'max_charge_bat_day',
          'max_charge_bat_ever',
          'max_charge_load_day',
          'max_charge_load_ever',
          'derating']
